odoo.define('rasd_forms.gps_widget', function (require) {
    'use strict';

    console.log("GPS Widget module loaded");

    const core = require('web.core');
    const FieldChar = require('web.basic_fields').FieldChar;

    console.log("Dependencies loaded");

    const GpsWidget = FieldChar.extend({
        start: function () {
            console.log("GPS Widget initialized");
            return this._super();
        },
    });

    core.field_registry.add('gps_widget', GpsWidget);

    console.log("GPS Widget registered");

    return GpsWidget;
});

